.teaching-module-header-container {
  background-color: var(--mhpc-primary-lighter);
  position: relative;
  overflow: visible;

  h6 {
    color: var(--mhpc-primary);
  }

  .container-card-teaching-module-metadata {
    position: relative;
    z-index: 2;
    background-color: var(--mhpc-text-inverse);
    border: 1px solid var(--mhpc-border-default);
    border-radius: 10px;

    h3 {
      color: var(--mhpc-primary);
    }

    h3 + hr {
      color: var(--mhpc-primary);
    }

    svg path {
      fill: var(--mhpc-icon-strong);
    }

    dd {
      font-weight: 600;
    }
  }
}

.teaching-module-header-inner-container {
  position: relative;
  z-index: 2;
}

@media (min-width: 992px) {
  .it-page-title__wrapper:has(.teaching-module-header-container) {
    position: relative;
    overflow: visible;
  }

  .it-page-title__wrapper:has(.teaching-module-header-container)::after {
    pointer-events: none;
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 56%;
    height: 300px;
    background-image: url(../../images/decoration/deco-teaching-module-page.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: top right;
    z-index: 1;
  }
}

@media (min-width: 1200px) {
  .it-page-title__wrapper:has(.teaching-module-header-container)::after {
    width: 60%;
    height: 340px;
  }
}

@media (min-width: 1400px) {
  .it-page-title__wrapper:has(.teaching-module-header-container)::after {
    width: 64%;
    height: 360px;
  }
}
